LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   fc3:yum won't update - selinux conflict (http://www.linuxquestions.org/questions/linux-software-2/fc3-yum-wont-update-selinux-conflict-364490/)

logo 09-18-2005 09:04 AM

fc3:yum won't update - selinux conflict
 
Hello everybody,
As the title states, i'm having problems updading my fedora (3) box with yum. I get the following error(i'm pasting the last 3 lines, the rest is OK):
Code:

--> Running transaction check
--> Processing Conflict: kernel conflicts selinux-policy-targeted < 1.17.30-3.16
--> Finished Dependency Resolution
Error: kernel conflicts with selinux-policy-targeted < 1.17.30-3.16

I've tried using "yum --exclude=selinux-policy-targeted update" and I also switched selinux off (using security-level gui), but to no use.
Is it a yum problem (some sort of failed dependency yum can't resolve) or is it a selinux problem (selinux is blocking yum from updating the kernel)? How can I fix it?
Thank you for your reply

btmiller 09-18-2005 02:05 PM

I saw this once and the solution was to update all the selinux packages first, then do everything else.

logo 09-18-2005 03:14 PM

Hmm, I didn't tought of that, I'll give it a try.


All times are GMT -5. The time now is 09:15 PM.